From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/cram/
Date: Sat, 9 Apr 2022 14:38:28 +0000 (UTC) [thread overview]
Message-ID: <1649515083.550c31473cb2bf5bb635a3660ecf9f52e2a741e1.sping@gentoo> (raw)
commit: 550c31473cb2bf5bb635a3660ecf9f52e2a741e1
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 9 14:35:12 2022 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sat Apr 9 14:38:03 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=550c3147
dev-util/cram: Add missing DISTUTILS_USE_SETUPTOOLS=no
Closes: https://bugs.gentoo.org/749888
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.30, Repoman-3.0.3
dev-util/cram/cram-0.7-r2.ebuild | 22 ++++++++++++++++++++++
1 file changed, 22 insertions(+)
diff --git a/dev-util/cram/cram-0.7-r2.ebuild b/dev-util/cram/cram-0.7-r2.ebuild
new file mode 100644
index 000000000000..56867074f7fe
--- /dev/null
+++ b/dev-util/cram/cram-0.7-r2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Functional testing framework for command line applications"
+HOMEPAGE="https://bitheap.org/cram/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~x86"
+
+python_test() {
+ distutils_install_for_testing
+ "${EPYTHON}" "${TEST_DIR}"/scripts/cram tests || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2022-04-09 14:38 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-04-09 14:38 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-12 23:02 [gentoo-commits] repo/gentoo:master commit in: dev-util/cram/ Sam James
2025-03-02 19:31 Michał Górny
2024-07-06 15:54 Michał Górny
2023-10-28 17:29 David Seifert
2022-12-04 15:59 WANG Xuerui
2022-07-25 9:52 David Seifert
2022-07-25 9:52 David Seifert
2022-07-25 9:50 David Seifert
2021-05-31 21:49 Marek Szuba
2021-05-23 19:28 Michał Górny
2021-04-19 19:41 Sam James
2021-01-04 1:27 Sam James
2021-01-04 1:25 Sam James
2021-01-04 1:23 Sam James
2020-09-09 1:03 Sam James
2020-05-19 17:06 Rafael Martins
2019-05-30 20:57 David Seifert
2018-06-26 18:46 Pacho Ramos
2018-06-04 19:25 Mart Raudsepp
2016-11-01 22:13 Tim Harder
2016-10-02 6:13 Tim Harder
2016-06-18 13:05 Rafael Martins
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1649515083.550c31473cb2bf5bb635a3660ecf9f52e2a741e1.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox